Skip to main content
PUT
Update task
Use the API Playground below to send this request with your X-Api-Key. The base URL and headers are prefilled; update any path, query, or body fields and click Send.

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Body

application/json
title
string
description
string | null
due_date
string<date> | null
is_done
boolean
priority
enum<string>
Available options:
low,
normal,
high,
urgent
owner_ids
string[]
assignee_ids
string[]

Response

200 - application/json

OK

id
string
title
string
description
string | null
due_date
string<date> | null
is_done
boolean
priority
enum<string>
Available options:
low,
normal,
high,
urgent
position
integer
created_at
string<date-time>
updated_at
string<date-time>